org.eclipse.emf.cdo.spi.common.branch

## Class InternalCDOBranchManager.BranchLoader.BranchInfo

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader.BranchInfo

- Enclosing interface:
    InternalCDOBranchManager.BranchLoader

      public static final class InternalCDOBranchManager.BranchLoader.BranchInfo
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BranchInfo(CDODataInput in)`
    `BranchInfo(String name, int baseBranchID, long baseTimeStamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBaseBranchID()`
    `long` | `getBaseTimeStamp()`
    `String` | `getName()`
    `void` | `setName(String name)`
    `String` | `toString()`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BranchInfo

          public BranchInfo(String name,
                            int baseBranchID,
                            long baseTimeStamp)

    - #### BranchInfo

          public BranchInfo(CDODataInput in)
                     throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(CDODataOutput out)
                     throws IOException

      Throws:
        `IOException`

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

      Since:
        4.4

    - #### getBaseBranchID

          public int getBaseBranchID()

    - #### getBaseTimeStamp

          public long getBaseTimeStamp()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html